# osgParticle::FireEffect Class Reference

Inheritance diagram for osgParticle::FireEffect:

[legend]
List of all members.

## Public Member Functions

| FireEffect ()
| FireEffect (const FireEffect &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Node (osgParticle, FireEffect)
virtual void | setDefaults ()
virtual void | buildEffect ()

## Constructor & Destructor Documentation

FireEffect::FireEffect | ( |  | ) |

FireEffect::FireEffect | ( | const FireEffect & | copy,
|  | const osg::CopyOp & | copyop = `osg::CopyOp::SHALLOW_COPY`
| ) |

## Member Function Documentation

void FireEffect::buildEffect | ( |  | ) | `[virtual]`

| Implements osgParticle::ParticleEffect.

osgParticle::FireEffect::META_Node | ( | osgParticle | ,
|  | FireEffect |
| ) |

void FireEffect::setDefaults | ( |  | ) | `[virtual]`

The documentation for this class was generated from the following files:

- FireEffect
- FireEffect.cpp